Skip to main content
`Ctrl`+`K`

# PetscSFScatterBegin

begin pointwise scatter operation from multi-roots to leaves, to be completed with `PetscSFScatterEnd()`

## Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFScatterBegin(PetscSF sf, MPI_Datatype unit, const void *multirootdata, void *leafdata)

Collective

## Input Parameters

- sf - star forest

- unit - data type

- multirootdata - root buffer to send to each leaf, one unit of data is provided to each leaf thus the amount of space per root is equal to its degree (which is the number of leaves that root has)

## Output Parameter

- leafdata - leaf data to be update with personal data from each respective root

## See Also

PetscSF - an alternative to low-level MPI calls for data communication, `PetscSF`, `PetscSFComputeDegreeBegin()`, `PetscSFComputeDegreeEnd()`, `PetscSFScatterEnd()`

## Level

intermediate

## Location

src/vec/is/sf/interface/sf.c

## Examples

src/vec/is/sf/tutorials/ex1.c

Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages